iterhash.h File Reference

Base classes for iterated hashes. More...

Go to the source code of this file.

## Classes

class | HashInputTooLong
| Exception thrown when trying to hash more data than is allowed by a hash function. More...
class | IteratedHashBase< T, BASE >
| Iterated hash base class. More...
class | IteratedHash< T_HashWordType, T_Endianness, T_BlockSize, T_Base >
| Iterated hash base class. More...
class | IteratedHashWithStaticTransform< T_HashWordType, T_Endianness, T_BlockSize, T_StateSize, T_Transform, T_DigestSize, T_StateAligned >
| Iterated hash with a static transformation function. More...

## Variables

| IteratedHashBase< word64, HashTransformation >
| IteratedHashBase< word64, MessageAuthenticationCode >
| IteratedHashBase< word32, HashTransformation >
| IteratedHashBase< word32, MessageAuthenticationCode >

## Detailed Description

Base classes for iterated hashes.

Definition in file iterhash.h.